
Foreman - Bug #9138

Intermittent HostTest/NIC integration test failures

01/28/2015 04:09 AM - Dominic Cleal

Status: Duplicate   

Priority: High   

Assignee: Tomáš Strachota   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2115

  

Description

test_develop has failed to run integration tests on two of the three runs:

HostTest::create new host page::NIC modal window::editing interfaces.test_0002_ok button updates o

verview table

Failed assertion, no message given. (test_0002_ok button updates overview table)

/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/1.9.3/test/integration/host_tes

t.rb:142

 and

HostTest::create new host page::NIC modal window::adding interfaces.test_0003_setting primary upda

tes host name

Failed assertion, no message given. (test_0003_setting primary updates host name)

/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.0.0/test/integration/host_tes

t.rb:192

HostTest::create new host page::NIC modal window::editing interfaces.test_0002_ok button updates o

verview table

Failed assertion, no message given. (test_0002_ok button updates overview table)

/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.0.0/test/integration/host_tes

t.rb:142

 http://ci.theforeman.org/job/test_develop/1111/

Related issues:

Related to Foreman - Refactor #7456: Extract primary interface from host Closed 09/16/2014

Related to Foreman - Bug #14097: Only run DatabaseCleaner as 'truncation' on ... Closed 03/08/2016

Related to Foreman - Bug #15134: Intermittent HostJSTest::NIC modal window::a... Closed 05/23/2016

Associated revisions

Revision 1f0e9bd4 - 01/29/2015 03:45 AM - Tomáš Strachota

Refs #9138 - temporarily disable affected intermittent tests

Revision 44b6f3dd - 02/16/2015 08:32 AM - Dominic Cleal

refs #9138 - skip all interfaces UI tests, which fail randomly

History

#1 - 01/28/2015 04:13 AM - Dominic Cleal

- Related to Refactor #7456: Extract primary interface from host added
http://ci.theforeman.org/job/test_develop/1111/


#2 - 01/28/2015 04:16 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#3 - 01/28/2015 04:31 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2115 added

- Pull request deleted ()

#4 - 02/11/2015 09:51 AM - Dominic Cleal

We just had the following failure in a plugin test, seemingly at random

undefined method `find' for nil:NilClass (NoMethodError)

/var/lib/workspace/workspace/test_plugin/foreman/test/integration/host_test.rb:230:in `block (4 levels) in <cl

ass:HostTest>'

#5 - 02/16/2015 03:48 AM - Dominic Cleal

The above comment was the "switch primary" test, also getting a lot of failures on "switch provisioning" below it.

Other common failures:

<3> expected but was

<2>. (test_0002_ok button adds new interface)

/var/lib/workspace/workspace/test_develop_pr_core/database/postgresql/ruby/2.0.0/test/integration/host_test.rb

:163    

 
Firing a click at co-ordinates [848.5, 305] failed. Poltergeist detected another element with CSS selector 'ht

ml.no-js body.modal-open div#main div#content.container form#new_host.form-horizontal.well div.tab-content div

#network.tab-pane.active fieldset#interfaces div#interfaceModal.modal.fade.in div.modal-dialog div.modal-conte

nt div.modal-body fieldset#interface div.clearfix div.form-group span.help-block.help-inline' at this position

. It may be overlapping the element you are trying to interact with. If you don't care about overlapping eleme

nts, try using node.trigger('click'). (Capybara::Poltergeist::MouseEventFailed)

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/poltergeist-1.6.0/lib/capybara/poltergeist/nod

e.rb:23:in `rescue in command'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/poltergeist-1.6.0/lib/capybara/poltergeist/nod

e.rb:17:in `command'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/poltergeist-1.6.0/lib/capybara/poltergeist/nod

e.rb:116:in `click'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/capybara-2.4.4/lib/capybara/node/element.rb:13

3:in `block in click'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/capybara-2.4.4/lib/capybara/node/base.rb:84:in

 `synchronize'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-1/gems/capybara-2.4.4/lib/capybara/node/element.rb:13

3:in `click'

/var/lib/workspace/workspace/test_develop_pr_core@2/database/postgresql/ruby/2.0.0/test/integration/host_test.

rb:263:in `block (5 levels) in <class:HostTest>'

#6 - 03/29/2016 04:15 AM - Dominic Cleal

- Related to Bug #14097: Only run DatabaseCleaner as 'truncation' on JS tests added

#7 - 03/29/2016 04:15 AM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate

Re-enabled and fixed via #14097 and others.

#8 - 05/23/2016 06:04 AM - Dominic Cleal

- Related to Bug #15134: Intermittent HostJSTest::NIC modal window::adding interfaces.test_0003_setting primary updates host name failure added
